package org.dromara.minigame.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.tenant.core.TenantEntity;

import java.io.Serial;

/**
 * 产品对象 product
 *
 * @author Hixon
 * @date 2024-08-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("product")
public class Product extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 产品ID
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 分类ID
     */
    private Long categoryId;

    /**
     * 产品名称
     */
    private String name;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @TableLogic
    private String delFlag;


}
