package org.dromara.minigame.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import org.dromara.minigame.domain.Product;

import java.io.Serial;
import java.io.Serializable;



/**
 * 产品视图对象 product
 *
 * @author Hixon
 * @date 2024-08-05
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = Product.class)
public class ProductVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 产品ID
     */
    @ExcelProperty(value = "产品ID")
    private Long id;

    /**
     * 分类ID
     */
    @ExcelProperty(value = "分类ID", converter = ExcelDictConvert.class)
    @ExcelDictFormat(dictType = "sys_normal_disable")
    private Long categoryId;

    /**
     * 产品名称
     */
    @ExcelProperty(value = "产品名称")
    private String name;


}
